# Film Cores

![Film Core for 16mm with 2 inch diameter](./img/film_core_16mm_2in.stl)

Film cores are used wind film for storage, handling, editing or projection.
This project contains a script for generating cores of abitrary diameter, and the standards of 2 inch cores for camera usage and 3 inch cores for projection are included as printable STL files.

This script will generate cores for 16mm, 8mm or 35mm gauge films.
These can be used with the [split_reel](../split_reel) module.

8mm cores are not common or standard but these seem to work for storage, editing and projection.

This script will generate film cores with or without a center partition making them possible to print with no overhangs.
Keep in mind cores *without* that center partition this makes for a weaker part and may buckle under the tension of longer films depending on how it is printed.

Download the source and create an OpenSCAD file in the directory to generate arbitrary size cores as follows.

```scad
use <scad/film_core.scad>;

film_core(16, 4 * 25.4, true);
```

This will generate a 4 inch core for 16mm gauge film with a center partition.

```scad
use <scad/film_core.scad>;

film_core(8, 2.5 * 25.4, true);
```

This will generate a 2.5 inch core for 8mm gauge film without a center partition.

The script can even be used to generate cores for more uncommon gauges, such as Pathé 9.5mm.

```scad
use <scad/film_core.scad>;

film_core(9.5, 3 * 25.4, true);
```

# 35mm Cores

-----

## 35mm Cores

-----

